דילוג לתוכן

sync.so -- lipsync 1.9.0-beta

שילוב

מזהה מודל sync-lipsync
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

קבצים כמו בדוגמה: ⁨‏0.117 ‏$⁩ 117 קרדיטי API הקבצים שלכם נמדדים לפני ההרצה הרצה בדף הזה

קבלת מפתח API
Sync Labs סנכרון שפתיים ואווטארים סנכרון שפתיים #animation#lip-sync

סנכרון שפתיים בווידאו עם בחירה בגרסה קודמת: lipsync-1.7.1, 1.8.0 או 1.9.0-beta

Sync Labs · ווידאו

התוצאה הראשונה שלך תופיע כאן

בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה video_url
גרור קובץ, או

כתובת URL המפנה אל וידאו הקלט.

•חובה audio_url
גרור קובץ, או

מיקום אודיו הקלט ככתובת URL.

מתקדם model
model ברירת מחדל lipsync-1.9.0-beta

המודל המשמש לסנכרון תנועת השפתיים.

POST /run/sync-lipsync?wait=20 הצעת מחיר → ⁨‏0.117 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על sync.so -- lipsync 1.9.0-beta

מתזמן מחדש את תנועת הפה בווידאו כך שתתאים לשמע חדש. ספקו `video_url` ו-`audio_url`, ובחרו את המנוע באמצעות `model`: lipsync-1.8.0, lipsync-1.7.1 או lipsync-1.9.0-beta, שהיא ברירת המחדל. אין לו פקדי רגש או מצב.

פרמטרים

שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים

שםסוג ברירת מחדלמותר תיאור
modelאופציונלי
סוגenum
ברירת מחדלlipsync-1.9.0-beta
lipsync-1.8.0lipsync-1.7.1lipsync-1.9.0-beta
המודל המשמש לסנכרון תנועת השפתיים.
video_urlחובה video
סוגurl · video
כתובת URL המפנה אל וידאו הקלט.
audio_urlחובה audio
סוגurl · audio
מיקום אודיו הקלט ככתובת URL.
חובה שם קנוני, מתקבל גם הוא

פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sync-lipsync",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 117,
    "usd": "0.117",
    "charged": 117,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
video
object {url, content_type, file_name, file_size}וידאו שנוצר על ידי המודל.

מודלים נוספים: סנכרון שפתיים ואווטארים

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/sync-lipsync.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt